## vlc 1.1.9

=== debian/changelog ===
vlc (1.1.9-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable (LP: #760510), remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Apr 2011 11:51:25 +0200

vlc (1.1.9-1) unstable; urgency=medium

  * New upstream release.
    - Fix heap corruption in MP4 demuxer (LP: #756368).
    - Fix fullscreen controller has no background in KDE4 (LP: #661020).
  * Refresh patches and drop backported VideoLAN-SA-1103.patch.
  * Adjust the vlc lintian-overrides for the latest lintian version.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 14 Apr 2011 11:18:57 +0200

vlc (1.1.8-3) unstable; urgency=medium

  * Fix heap corruption in MP4 demuxer
    - VideoLAN-SA-1103
    - Thanks to Rémi Denis-Courmont
  * Set urgency to medium
  * Set policy to 3.9.2 (no change needed) 

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 11 Apr 2011 22:12:15 +0100

vlc (1.1.8-2ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 29 Mar 2011 13:49:02 +0200

vlc (1.1.8-2) unstable; urgency=low

  * Require libschroedinger >= 1.0.10 (Closes: #619858)
  * Relax libmatroska-dev versionned b-depedency 

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 28 Mar 2011 23:18:04 +0100

vlc (1.1.8-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 24 Mar 2011 16:01:57 +0100

vlc (1.1.8-1) unstable; urgency=low

  * New upstream release.
    - Fix a busy loop and socket leak in lua (Closes: #607869).
  * Refresh xulrunner patch.
  * Drop backported libmatroska 1.1 patch.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 24 Mar 2011 14:14:36 +0100

vlc (1.1.7-4) unstable; urgency=low

  * v4l is gone from the linux 2.6.38 kernel. Build only v4l2.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Mar 2011 22:29:04 +0100

vlc (1.1.7-3ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build and install the libx264 plugin
    - v4l is gone from the kernel. Build only v4l2.
  * Disable xulrunner 1.9.1 patch.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 06 Mar 2011 13:01:24 +0100

vlc (1.1.7-3) unstable; urgency=low

  * adjust debian/source/local-options to team guidelines
  * Fix building against libmatroska 1.1, Closes: #614088
  * Add myself to Uploaders.
  * build against libmatroska 1.1.0

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Mar 2011 11:16:48 +0100

vlc (1.1.7-2) unstable; urgency=low

  * Upload to unstable.
  * Make vlc compatible with xulrunner 1.9.1.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 07 Feb 2011 23:16:02 +0100

vlc (1.1.7-1ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    - build and install the libx264 plugin
  * v4l is gone from the kernel. Build only v4l2.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 01 Feb 2011 12:35:06 +0100

vlc (1.1.7-1) experimental; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Drop backported patch and refresh remaining patches.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 31 Jan 2011 23:25:12 +0100

vlc (1.1.6-1ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Jan 2011 01:22:56 +0100

vlc (1.1.6-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * Tighten some build dependencies (Closes: #605638)

  [ Benjamin Drung ]
  * New upstream release.
    - Fix heap buffer overflow in Real demuxer (CVE-2010-3907) (LP: #690173)
    - Fix blue face issue with X11 ouput (LP: #665298)
    - Fix crash with SIGSEGV in QMetaObject::activate() (LP: #448082)
    - Fix heap overflow in CDG decoder and XML heap corruption (LP: #707154)
  * Drop backported patches.
  * Tighten more build dependencies after reviewing configure.ac.
  * Update my email address.
  * Add lirc build failure fix patch.
  * Build depends on libgtk2.0-dev for notify module.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 24 Jan 2011 23:16:54 +0100

vlc (1.1.5-3ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Nov 2010 00:51:45 +0100

vlc (1.1.5-3) experimental; urgency=low

  * Apply upstream fix for KDE device actions. (LP: #542293)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Nov 2010 00:26:15 +0100

vlc (1.1.5-2ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Nov 2010 00:51:28 +0100

vlc (1.1.5-2) experimental; urgency=low

  [ Reinhard Tartler ]
  * fix Breaks/Replaces for moving avcodec module around (Closes: #603912)

  [ Benjamin Drung ]
  * Fix KDE device action file locations. (LP: #542293) - thanks to Lari Natri
  * Fixed wrong aspect ratio in transcoded image from webcam.
    (Closes: #603888, LP: #672304)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Nov 2010 00:19:39 +0100

vlc (1.1.5-1ubuntu2) natty; urgency=low

  * Fixed wrong aspect ratio in transcoded image from webcam. (LP: #672304)

 -- Nicola Ferralis <feranick@hotmail.com>  Fri, 19 Nov 2010 00:15:09 +0100

vlc (1.1.5-1ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    - build and install the libx264 plugin

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 14 Nov 2010 22:11:19 +0100

vlc (1.1.5-1) experimental; urgency=low

  * New upstream release.
  * Fix path typo in NEWS file. (Closes: #599314)
  * Install all docs into /usr/share/doc/vlc-nox and link the vlc doc dir to it.
  * Recommend xdg-utils, because xdg-screensaver is required for disabling
    the screensaver. (Closes: #436339)
  * Add libxscreensaver plugin to vlc.

