## vlc 1.1.11

=== debian/changelog ===
vlc (1.1.11-2build2) oneiric; urgency=low

  * Rebuild to drop dependencies on superseded libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Sep 2011 22:04:14 +0000

vlc (1.1.11-2build1) oneiric; urgency=low

  * Rebuild for fluidsynth transition LP: #821346

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 05 Aug 2011 18:37:20 +0200

vlc (1.1.11-2) unstable; urgency=low

  * Use linux-any instead of hardcoded list of non-Linux architectures.
    (Closes: #634726)
  * Build and install the libx264 plugin.
  * Add firefox-dev as alternative build dependency to xulrunner-dev for Ubuntu.
  * Build with "--with-mozilla-pkg=mozilla-plugin" rather than
    "--with-mozilla-pkg=libxul". The plugin doesn't appear to be using XPCOM,
    and shouldn't be linking against Mozilla libs. Thanks to Chris Coulson.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 26 Jul 2011 20:11:10 +0200

vlc (1.1.11-1) unstable; urgency=high

  * New upstream release.
    - Fix heap overflow in RealMedia plugin (Closes: #633674, LP: #807486)
    - Fix heap overflow in AVI plugin (Closes: #633675, LP: #807488)
  * Call dh_autoreconf with --as-needed and drop 052_as-needed.patch.
  * Drop backported patches.
  * Drop libschroedinger weaken patch (upstream weakened it to 1.0.6).
  * Refresh remaining patches.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 18 Jul 2011 10:26:56 +0200

vlc (1.1.10-1) unstable; urgency=high

  [ Benjamin Drung ]
  * New upstream release.
    - Security: Fix XSPF integer overflow (CVE-2011-2194) (LP: #795410)
    - Improve .desktop file:
      - Add smb as supported protocol (Closes: #622879, LP: #737192)
      - add video/webm to supported MIME formats (LP: #769463)
    - Fix libdvdread errors while playing ogg files (Closes: #622935)
    - Support three channels in pulseaudio output plugin (LP: 743478)
    - PulseAudio output re-written due to unstability of the current one
      (LP: #743323)
    - Fix crashes (LP: #754497, #785979)
    - Qt: allow drag and drop of any URL, not just a local file (LP: #664030)
    - Fix libvlcplugin.so: undefined symbol: NPP_Initialize (LP: #722690)
  * Refresh patches.
  * Drop as-needed patch due to autoreconf run.
  * Backport PulseAudio build fix.
  * Add GNOME MIME types for Ogg Vorbis and Ogg Theora (Closes: #629619).
  * Mention potcast support in package description (Closes: #488771).

  [ Reinhard Tartler ]
  * run autoreconf on the buildds
  * Weaken dependencies on libschroedinger

 -- Benjamin Drung <bdrung@debian.org>  Sat, 11 Jun 2011 19:32:24 +0200
