## vlc 1.1.12

=== debian/changelog ===
vlc (1.1.12-2~oneiric1) oneiric-proposed; urgency=low

  * No-change backport to oneiric to fix PulseAudio support and other bugs.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 19 Oct 2011 21:18:35 +0200

vlc (1.1.12-2) unstable; urgency=low

  * Apply patches from upstream's 1.1 maintenance branch.
    - Turn on XVideo color key automatic painting (fix upstream #4643)
    - Set channel map when using PulseAudio 1.0
    - Translation updates

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Oct 2011 20:17:03 +0200

vlc (1.1.12-1) unstable; urgency=low

  * New upstream release.
    - Multiple fixes and improved synchronization for PulseAudio support
      (Closes: #601826, LP: #805807).
    - Fix segmentation fault (LP: #803006).
    - Addd GenericName entries to desktop file (Closes: #640911).
    - Do not ignore the --quiet flag (Closes: #531975).
    - Fix vlc runs xdg-screensaver with signal child blocked (Closes: #640245).
    - Fix crashes when trying to play youtube URLs (Closes: #641507).
  * Drop xulrunner-1.9.1.patch (accepted upstream).
  * Refresh 200_osdmenu_paths.patch.
  * Fix typo in vlc.desktop: Name[nn] -> GenericName[nn].

 -- Benjamin Drung <bdrung@debian.org>  Fri, 07 Oct 2011 01:21:06 +0200
