=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
            Clément Stenac <zorglub@debian.org>,
            Loic Minier <lool@dooz.org>,
@@ -10,21 +9,23 @@
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
            Reinhard Tartler <siretart@tauware.de>,
            Benjamin Drung <bdrung@debian.org>
-Build-Depends: debhelper (>= 7.2.3~),
+Build-Depends: autopoint,
+               debhelper (>= 7.2.3~),
+               dh-autoreconf,
                dh-buildinfo,
                gettext,
                liba52-0.7.4-dev,
                libaa1-dev,
-               libasound2-dev (>= 0.9.0beta10a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libasound2-dev (>= 0.9.0beta10a) [linux-any],
                libass-dev (>= 0.9.6),
                libavahi-client-dev,
-               libavc1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libavc1394-dev [linux-any],
                libavcodec-dev (>= 4:0.6),
                libavformat-dev (>= 4:0.6),
                libcaca-dev (>= 0.99.beta4),
                libcddb2-dev,
                libcdio-dev (>= 0.78.2),
-               libdc1394-22-dev (>= 2.1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
                libdirac-dev,
                libdvbpsi-dev | libdvbpsi5-dev,
@@ -59,9 +60,9 @@
                libproxy-dev,
                libpulse-dev (>= 0.9.11),
                libqt4-dev (>= 4.4.0),
-               libraw1394-dev (>= 2.0.1) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libraw1394-dev (>= 2.0.1) [linux-any],
                librsvg2-dev,
-               libschroedinger-dev (>= 1.0.10),
+               libschroedinger-dev (>= 1.0.6),
                libsdl-image1.2-dev,
                libsdl1.2-dev (>= 1.2.10),
                libshout3-dev,
@@ -73,10 +74,10 @@
                libtar-dev,
                libtheora-dev,
                libtwolame-dev (>= 0.3.8),
-               libudev-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libudev-dev [linux-any],
                libupnp3-dev,
-               libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
-               libva-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libv4l-dev [linux-any],
+               libva-dev [linux-any],
                libvcdinfo-dev (>= 0.7.22),
                libvorbis-dev,
                libx11-dev,
@@ -95,7 +96,7 @@
                lua5.1,
                nasm,
                pkg-config,
-               xulrunner-dev (>= 1.9.1),
+               xulrunner-dev (>= 1.9.1) | firefox-dev (>= 4.0),
                yasm [amd64 kfreebsd-amd64],
                zlib1g-dev
 Standards-Version: 3.9.2
@@ -115,9 +116,9 @@
  This package contains headers and a static library required to build
  standalone applications that use VLC features.
  .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
 
 Package: libvlc5
 Section: libs
@@ -128,9 +129,9 @@
  This package contains the shared library required by applications using VLC
  features.
  .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
 
 Package: libvlccore-dev
 Section: libdevel
@@ -140,9 +141,9 @@
  This package contains headers and a static library required to build plugins
  for VLC.
  .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
 
 Package: libvlccore4
 Section: libs
@@ -151,9 +152,9 @@
 Description: base library for VLC and its modules
  This package contains the shared library required by VLC modules and libvlc.
  .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
 
 Package: mozilla-plugin-vlc
 Architecture: any
@@ -196,9 +197,9 @@
  webpage or directly in the browser window. There is also support for
  fullscreen display and javascript control.
  .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
 
 Package: vlc
 Architecture: any
@@ -214,9 +215,9 @@
 Replaces: vlc-nox (<< 1.1.5-1)
 Provides: mp3-decoder
 Description: multimedia player and streamer
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
  .
  VLC can also be used as a streaming server that duplicates the stream it
  reads and multicasts them through the network to other clients, or serves
@@ -238,9 +239,9 @@
 Description: Common data for VLC
  Localisations, HTTP interface files, Lua scripts for VLC media player
  .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
 
 Package: vlc-dbg
 Section: debug
@@ -248,9 +249,9 @@
 Architecture: any
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for vlc
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
  .
  This package contains the debugging symbols for vlc.
 
@@ -260,9 +261,9 @@
 Replaces: vlc (<< 1.1.0)
 Provides: mp3-decoder
 Description: multimedia player and streamer (without X support)
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
  .
  VLC can also be used as a streaming server that duplicates the stream it
  reads and multicasts them through the network to other clients, or serves
@@ -286,9 +287,9 @@
  This plugin adds support for playing MIDI file via the FluidSynth software
  synthesizer to the VLC media player.
  .
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
- DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
- streams from various network sources.
+ VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
+ DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
+ podcasts, and multimedia streams from various network sources.
 
 Package: vlc-plugin-ggi
 Architecture: any
