=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,7 @@
 	--enable-x264 \
 	--enable-zvbi \
 	--with-kde-solid=/usr/share/kde4/apps/solid/actions/ \
-	--with-mozilla-pkg=libxul \
+	--with-mozilla-pkg=mozilla-plugin \
 	$(NULL)
 # Reasons for disabling features:
 # dxva2 -> Windows only
@@ -135,7 +135,10 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_clean:
 	[ ! -f debian/vlc-nox.install.bak ] || mv -f debian/vlc-nox.install.bak \
