## vlc 1.1.13

=== debian/changelog ===
vlc (1.1.13-1) unstable; urgency=low

  * New upstream release (Closes: #604687).
  * Drop backported patches and patches that were accepted by upstream.
  * Refresh remaining patches.
  * Add mailcap entry for Ogg Video (Closes: #651662).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 31 Dec 2011 13:42:26 +0100

vlc (1.1.12-3) unstable; urgency=low

  [ Didier Raboud ]
  * Install v4l2 modules on kfreebsd-*. (Closes: #648090)

  [ Benjamin Drung ]
  * Explicitly enable v4l2 on kfreebsd and build depend on libv4l-dev.
  * Fix build failure with Iceweasel/Firefox 8.0. Thanks to Mathieu
    Trudel-Lapierre for backporting the upstream patch.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 17 Nov 2011 00:10:53 +0100

vlc (1.1.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a preinst to vlc to drop it's doc directory before unpacking a
    symlink to vlc-nox's over it. (Closes: #613121)

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Nov 2011 16:40:10 +0100
