=== debian/control ===
--- 
+++ 
@@ -76,7 +76,7 @@
                libtwolame-dev (>= 0.3.8),
                libudev-dev [linux-any],
                libupnp3-dev,
-               libv4l-dev [linux-any],
+               libv4l-dev [kfreebsd-any linux-any],
                libva-dev [linux-any],
                libvcdinfo-dev (>= 0.7.22),
                libvorbis-dev,
